# - Try to find FYSX
#
#

SET (FYSX_FOUND FALSE)

FIND_PATH (FYSX_INCLUDE_DIR fysx.h /usr/include/ /usr/local/include/ $ENV{FYSX_PATH}/include $ENV{FYSX_INCLUDE_PATH})

FIND_LIBRARY (FYSX_LIBRARIES NAMES fysx PATHS /usr/lib /usr/local/lib $ENV{FYSX_PATH} $ENV{FYSX_PATH}/lib ENV{FYSX_LIBRARY_PATH})

IF (FYSX_INCLUDE_DIR AND FYSX_LIBRARIES)
	SET (FYSX_FOUND TRUE)
ENDIF (FYSX_INCLUDE_DIR AND FYSX_LIBRARIES)

IF (FYSX_FOUND)
   IF (NOT FYSX_FIND_QUIETLY)
      MESSAGE(STATUS "Found FYSX: ${FYSX_LIBRARIES}")
   ENDIF (NOT FYSX_FIND_QUIETLY)
ELSE (FYSX_FOUND)
   IF (FYSX_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find FYSX")
   ENDIF (FYSX_FIND_REQUIRED)
ENDIF (FYSX_FOUND)

MARK_AS_ADVANCED (
	FYSX_INCLUDE_DIR
	FYSX_LIBRARIES
	)
